%define		pluginname	deskew

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	GIMP Deskew is a plugin that adds deskew functionality to GIMP.
Name:		gimp-plugin-%{pluginname}
Version:	1.1
Release:	1
License:	GNU/GPL V2
URL:		http://www.cubewano.org/gimp-deskew-plugin/
Group:		Multimedia/Graphics
Source0:	gimp-%{pluginname}-plugin-%{version}.tar.gz
Patch0:		gimp-%{pluginname}-plugin-automake-1.10.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gimp >= 2.4

%description
Deskew, also called auto straighten, is the automatic rotation of an image such that the text is vertically aligned.
This is great for cleaning up scanned documents.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n gimp-%{pluginname}-plugin-%{version}
%patch0 -p0

%build
./autogen.sh
%configure --prefix=/
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/gimp/2.0/plug-ins
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 21 2008 Christian Wasem <wasem@ccux-linux.de> 1.1-1
- Initial release